GNURLOPT_FTP_USE_PRET(3)

NAME
CURLOPT_FTP_USE_PRET - enable the PRET command

SYNOPSIS
#include <gnurl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_USE_PRET, long enable);

DESCRIPTION
Pass a long. If the value is 1, it tells curl to send a PRET command before PASV (and EPSV). Certain FTP servers, mainly drftpd, require this non-standard command for directory listings as well as up and downloads in PASV mode. Has no effect when using the active FTP transfers mode.

DEFAULT
0

PROTOCOLS
FTP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "ftp://example.com/old-server/file.txt");
  /* a drftpd server, do it! */
  curl_easy_setopt(curl, CURLOPT_FTP_USE_PRET, 1L);
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.20.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_FTP_USE_EPRT(3), CURLOPT_FTP_USE_EPSV(3),